package com.goldenwater.slaj.eutr.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.goldenwater.slaj.eutr.mapper.BisEutrTqueOptMapper;
import com.goldenwater.slaj.eutr.domain.BisEutrTqueOpt;
import com.goldenwater.slaj.eutr.service.IBisEutrTqueOptService;

@Service
public class BisEutrTqueOptServiceImpl implements IBisEutrTqueOptService {
    @Autowired
    private BisEutrTqueOptMapper bisEutrTqueOptMapper;

    @Override
    public BisEutrTqueOpt selectBisEutrTqueOptByGuid(String guid) {
        return bisEutrTqueOptMapper.selectBisEutrTqueOptByGuid(guid);
    }

    @Override
    public List<BisEutrTqueOpt> selectBisEutrTqueOptList(BisEutrTqueOpt bisEutrTqueOpt) {
        return bisEutrTqueOptMapper.selectBisEutrTqueOptList(bisEutrTqueOpt);
    }

    @Override
    public int insertBisEutrTqueOpt(BisEutrTqueOpt bisEutrTqueOpt) {
        return bisEutrTqueOptMapper.insertBisEutrTqueOpt(bisEutrTqueOpt);
    }

    @Override
    public int updateBisEutrTqueOpt(BisEutrTqueOpt bisEutrTqueOpt) {
        return bisEutrTqueOptMapper.updateBisEutrTqueOpt(bisEutrTqueOpt);
    }

    @Override
    public int deleteBisEutrTqueOptByGuid(String guid) {
        return bisEutrTqueOptMapper.deleteBisEutrTqueOptByGuid(guid);
    }

    @Override
    public int deleteBisEutrTqueOptByGuids(String[] guids) {
        return bisEutrTqueOptMapper.deleteBisEutrTqueOptByGuids(guids);
    }
}
